/*!
 * Copyright © 2005-2024 Hyland Software, Inc. and its affiliates. All rights reserved.
 *
 * Alfresco Example Content Application
 *
 * This file is part of the Alfresco Example Content Application.
 * If the software was purchased under a paid Alfresco license, the terms of
 * the paid license agreement will prevail. Otherwise, the software is
 * provided under the following open source license terms:
 *
 * The Alfresco Example Content Application is free software: you can redistribute it and/or modify
 * it under the terms of the GNU Lesser General Public License as published by
 * the Free Software Foundation, either version 3 of the License, or
 * (at your option) any later version.
 *
 * The Alfresco Example Content Application is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the
 * GNU Lesser General Public License for more details.
 *
 * You should have received a copy of the GNU Lesser General Public License
 * from Hyland Software. If not, see <http://www.gnu.org/licenses/>.
 */
import { BaseComponent } from './base.component';
import { Locator, Page } from '@playwright/test';
export declare enum PaginationActionsType {
    PageSizeSelector = "Page size selector",
    CurrentPageSelector = "Current page selector",
    NextPageSelector = "Next page button"
}
export declare class PaginationComponent extends BaseComponent {
    private static rootElement;
    constructor(page: Page);
    private range;
    private maxItems;
    private currentPage;
    private totalPages;
    private previousButton;
    private nextButton;
    private maxItemsButton;
    private itemsPerPageMenu;
    currentPageLocator: Locator;
    totalPageLocator: Locator;
    getArrowLocatorFor: (action: PaginationActionsType) => Locator;
    setItemsPerPage(amount: number): Promise<void>;
    navigateToPage(pageNumber: number): Promise<void>;
    spinnerWaitForReload(): Promise<void>;
    getRange(): Promise<string>;
    getMaxItems(): Promise<string>;
    getCurrentPage(): Promise<string>;
    getTotalPages(): Promise<string>;
    isPreviousEnabled(): Promise<boolean>;
    isNextEnabled(): Promise<boolean>;
    clickOnNextPage(): Promise<void>;
    clickOnPreviousPage(): Promise<void>;
    openMaxItemsMenu(): Promise<void>;
    resetToDefaultPageSize(): Promise<void>;
    clickMenuItem(menuItem: string): Promise<void>;
    getNthItem(nth: number): Promise<Locator>;
    getItemsCount(): Promise<number>;
    clickNthItem(nth: number): Promise<void>;
    closeMenu(): Promise<void>;
    isRangePresent(): Promise<boolean>;
    getMaxRange(): Promise<string>;
    isMaxItemsPresent(): Promise<boolean>;
    isCurrentPagePresent(): Promise<boolean>;
    isTotalPagesPresent(): Promise<boolean>;
    isPreviousButtonPresent(): Promise<boolean>;
    isNextButtonPresent(): Promise<boolean>;
}
